﻿using System;
using System.Collections.Generic;
using System.Linq;
using Foundation;
using AppKit;

namespace Storyboards_test
{
	public partial class Level1ViewController : AppKit.NSViewController
	{
		#region Constructors

		// Called when created from unmanaged code
		public Level1ViewController(IntPtr handle) : base(handle)
		{
			Initialize();
		}

		// Called when created directly from a XIB file
		[Export("initWithCoder:")]
		public Level1ViewController(NSCoder coder) : base(coder)
		{
			Initialize();
		}

		// Call to load from the XIB/NIB file
		public Level1ViewController() : base("Level1View", NSBundle.MainBundle)
		{
			Initialize();
		}

		// Shared initialization code
		void Initialize()
		{
			Title = "Level 1";
		}

		#endregion

		public override void ViewDidLoad()
		{
			base.ViewDidLoad();

			// http://forums.xamarin.com/discussion/comment/224413/#Comment_224413
			var storyboard = NSStoryboard.FromName("Level1", NSBundle.MainBundle);
			var secondaryController = (NSViewController)storyboard.InstantiateControllerWithIdentifier("Level1ID");
			var secondaryView = secondaryController.View;

			secondaryView.Frame = new CoreGraphics.CGRect(View.Frame.X, View.Frame.Y, View.Frame.Width, View.Frame.Height);

			View.AddSubview(secondaryView);
		}

		//strongly typed view accessor
		public new Level1View View
		{
			get
			{
				return (Level1View)base.View;
			}
		}
	}
}
