﻿using System;
using System.Collections.Generic;
using System.Linq;
using Foundation;
using AppKit;

namespace Storyboards_test
{
	public partial class Level2ViewController : AppKit.NSViewController
	{
		#region Constructors

		// Called when created from unmanaged code
		public Level2ViewController(IntPtr handle) : base(handle)
		{
			Initialize();
		}

		// Called when created directly from a XIB file
		[Export("initWithCoder:")]
		public Level2ViewController(NSCoder coder) : base(coder)
		{
			Initialize();
		}

		// Call to load from the XIB/NIB file
		public Level2ViewController() : base("Level2View", NSBundle.MainBundle)
		{
			Initialize();
		}

		// Shared initialization code
		void Initialize()
		{
			Title = "Level 2";
		}

		#endregion

		public override void ViewDidLoad()
		{
			base.ViewDidLoad();

			// http://forums.xamarin.com/discussion/comment/224413/#Comment_224413
			var storyboard = NSStoryboard.FromName("Level2", NSBundle.MainBundle);
			var secondaryController = (NSViewController)storyboard.InstantiateControllerWithIdentifier("Level2ID");
			var secondaryView = secondaryController.View;

			secondaryView.Frame = new CoreGraphics.CGRect(View.Frame.X, View.Frame.Y, View.Frame.Width, View.Frame.Height);

			View.AddSubview(secondaryView);
		}

		//strongly typed view accessor
		public new Level2View View
		{
			get
			{
				return (Level2View)base.View;
			}
		}
	}
}
